List Markets
curl --request GET \
--url https://scrapebadger.com/v1/amazon/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/amazon/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/amazon/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"code": "US",
"domain": "com",
"name": "United States",
"currency": "USD",
"language": "en-US",
"country_code": "US"
},
{
"code": "UK",
"domain": "co.uk",
"name": "United Kingdom",
"currency": "GBP",
"language": "en-GB",
"country_code": "GB"
},
{
"code": "DE",
"domain": "de",
"name": "Germany",
"currency": "EUR",
"language": "de-DE",
"country_code": "DE"
},
{
"code": "JP",
"domain": "co.jp",
"name": "Japan",
"currency": "JPY",
"language": "ja-JP",
"country_code": "JP"
}
]
}Reference
List Markets
List all supported Amazon marketplaces.
GET
/
v1
/
amazon
/
markets
List Markets
Response
array
Array of supported Amazon marketplaces.
Show Market object
Show Market object
string
Market code (e.g.
"US", "UK", "DE").string
Amazon domain TLD to use in the
domain query parameter (e.g. "com", "co.uk").string
Marketplace country name.
string
ISO 4217 currency code used in this market.
string
Default locale for this market.
string
ISO country code used for proxy geo-targeting.
Example Response
{
"markets": [
{ "code": "US", "domain": "com", "name": "United States", "currency": "USD", "language": "en-US", "country_code": "US" },
{ "code": "UK", "domain": "co.uk", "name": "United Kingdom", "currency": "GBP", "language": "en-GB", "country_code": "GB" },
{ "code": "DE", "domain": "de", "name": "Germany", "currency": "EUR", "language": "de-DE", "country_code": "DE" },
{ "code": "JP", "domain": "co.jp", "name": "Japan", "currency": "JPY", "language": "ja-JP", "country_code": "JP" }
]
}
The markets list is free (0 credits).
⌘I

